FFe: Sync opennebula 3.2.1-2 (universe) from Debian sid (main)

Bug #959097 reported by Fabrice Coutadeur on 2012-03-19
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
opennebula (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync opennebula 3.2.1-2 (universe) from Debian sid (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * Rebuild for libmysqlclient transition.
  * Revert changes from 2.2.1-1ubuntu1; libxmlrpc-c++4-dev is now in
    precise. This can be synced from Debian on the next Debian change.
  * Build-depend on libxmlrpc-c++4-dev | libxmlrpc-c3-dev, xmlrpc-c 1.16.33
    is not yet in oneiric. LP: #771084.
  * Build-depend on libxmlrpc-c++4-dev | libxmlrpc-c3-dev, xmlrpc-c 1.16.33
    is not yet in oneiric. LP: #771084.
As stated in the second comment, there is no changes left in Ubuntu, so tha pcakge can be synced.

Explanation of FeatureFreeze exception (copied from Jaime):
We have tested the package and it builds and works in Ubuntu 12.04. We would like to try to move forward on this sync request (even though we know we're late).

We think this sync should be performed because:
- It's being actively developed and maintained
- Ubuntu's current version of OpenNebula (2.2) is not supported any more and any bugs that may arise will not get fixed
- No other package depends on OpenNebula so it will, by no possible means, break any other package
- OpenNebula 3.2 brings many robustness and security improvements over the 2.2 package
- If the sync is performed Ubuntu user will get support on the package if they encounter a bug.

Changelog entries since current precise version 2.2.1-1ubuntu3:

opennebula (3.2.1-2) unstable; urgency=low

   * Fix "Overwrites the admin password on upgrades": Merge proposed patch
     from Guido Günther. (Closes: #666050).
   * Fix "File conflict with opennebula 2.2.1-1": Add Breaks/Replaces on
     opennebula (<< 3.2.1-1~) (Closes: #665952).
   * Fix "oneacct does not look in system wide locations for require's":
     Backport upstream fix from bugID:1063 (Closes: #663075).
   * opennebula-node Recommends: openssh-server | ssh-server (Closes: #665948).
   * d/README.Debian: Update for new onehost syntax (Closes: #665975).
   * d/rules: Enable security hardening options and -Wl,--as-needed.

 -- Damien Raude-Morvan <email address hidden> Sun, 01 Apr 2012 13:20:07 +0200

opennebula (3.2.1-1) unstable; urgency=low

  [ Jaime Melis ]
  * New upstream release (3.2.1)
    - New package structure (Closes: #611282)
    - Network drivers (Closes: #657323)
  * Create password after installation
  * Sunstone init script (Closes: #657032 and Closes: #657030)
  * Enable sunstone_system_jquery.diff
  * Explain usage of controller as node (Closes: #657981)

  [ Damien Raude-Morvan ]
  * d/control: Wrap-and-sort.
  * Add lintian-overrides for ruby-script-but-no-ruby-dep
    because ruby-opennebula already depends on ruby | ruby-interpreter.
  * d/copyright: Update to DEP-5 latest release and cleanup.
  * d/opennebula.install: Don't install OCCI UI yet (need more work for
    FHS compliance).
  * d/rules: Add override to cleanup some extra-license-file.

 -- Damien Raude-Morvan <email address hidden> Wed, 22 Feb 2012 20:29:46 +0100

opennebula (3.2.0-1) UNRELEASED; urgency=low

  * New upstream release (3.2.0)
    - Refresh all other patches for changes made upstream.
    - Disable node_creation_help.diff for now.
    - Disable sunstone_system_jquery.diff for now.
  * d/opennebula.manpages: Use upstream manpages when available.

 -- Jaime Melis <email address hidden> Thu, 19 Jan 2012 18:01:12 +0100

opennebula (3.0.0-1) UNRELEASED; urgency=low

  * New upstream release (3.0.0):
    - d/patches/0015-Fix-scons-tests-for-xml-rpc-c-with-gcc-4.6.patch,
    d/patches/0017-Fix-compilation-warnings-with-gcc4.6.patch: Drop, merged
    upstream.
    - Refresh all other patches for changes made upstream.
    - Disable node_creation_help.diff for now.
  * d/opennebula.manpages: Use upstream manpages when available.
  * d/opennebula{,-doc}.install: Old script from /usr/lib/one/remotes/
    and samples hooks, dropped.

 -- Damien Raude-Morvan <email address hidden> Fri, 07 Oct 2011 19:58:12 +0200

Changed in opennebula (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in opennebula (Ubuntu):
status: New → Confirmed
Stefano Rivera (stefanor) wrote :

> Waiting for Jaime to explain why this should be synced.

Changed in opennebula (Ubuntu):
status: Confirmed → Incomplete
Fabrice Coutadeur (fabricesp) wrote :

Jaime, any news about that sync request?

Changed in opennebula (Ubuntu):
assignee: nobody → Jaime Melis (j-melis)
Jaime Melis (j-melis) wrote :

Hello,

We have tested the package and it builds and works in Ubuntu 12.04. We would like to try to move forward on this sync request (even though we know we're late).

We think this sync should be performed because:
- It's being actively developed and maintained
- Ubuntu's current version of OpenNebula (2.2) is not supported any more and any bugs that may arise will not get fixed
- No other package depends on OpenNebula so it will, by no possible means, break any other package
- OpenNebula 3.2 brings many robustness and security improvements over the 2.2 package
- If the sync is performed Ubuntu user will get support on the package if they encounter a bug

Fabrice Coutadeur (fabricesp) wrote :

Thanks Jaime. I updated the bug description and subscribed back ubuntu-release.

description: updated
Changed in opennebula (Ubuntu):
assignee: Jaime Melis (j-melis) → nobody
status: Incomplete → New
Iain Lane (laney) wrote :

Did you test building and upgrading (including upgrading directly from Lucid)? -1 clearly had some troubles with this as evidenced by the changes in -2 so I am concerned about the level of validation this has received. What about functional testing?

Fabrice Coutadeur (fabricesp) wrote :

Hi,

It builds fine in Precise and I successfully upgraded a lucid chroot. But I can't speak for the functional tests.

Fabrice

Iain Lane (laney) wrote :

Well, I got:

Unpacking opennebula-tools (from .../opennebula-tools_3.2.1-1_all.deb) ...
dpkg: error processing /var/cache/apt/archives/opennebula-tools_3.2.1-1_all.deb (--unpack):
 trying to overwrite '/usr/bin/onevnet', which is also in package opennebula 1.2-0ubuntu6
[…]
Preparing to replace opennebula 1.2-0ubuntu6 (using .../opennebula_3.2.1-1_amd64.deb) ...
invoke-rc.d: policy-rc.d denied execution of stop.
Unpacking replacement opennebula ...
dpkg: warning: unable to delete old directory '/etc/one/tm_nfs': Directory not empty
dpkg: warning: unable to delete old directory '/etc/one/vmm_xen': Directory not empty
dpkg: warning: unable to delete old directory '/etc/one/vmm_kvm': Directory not empty
dpkg: warning: unable to delete old directory '/etc/one/im_xen': Directory not empty
dpkg: warning: unable to delete old directory '/etc/one/im_kvm': Directory not empty
Errors were encountered while processing:
 /var/cache/apt/archives/opennebula-tools_3.2.1-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Perhaps you mean to sync -2. If so, please update this bug appropriately.

Fabrice Coutadeur (fabricesp) wrote :

Hi,

You're totally right: I did the tests with -2.
I just updated the title and the description.

Sorry for the confusion.

Fabrice

summary: - FFe: Sync opennebula 3.2.1-1 (universe) from Debian sid (main)
+ FFe: Sync opennebula 3.2.1-2 (universe) from Debian sid (main)
description: updated
Iain Lane (laney) wrote :

The diff is huge, but it looks like it's better for us to go ahead.

I'll approve this FFe on the condition that you subscribe to bugs for this package and undertake to take care of them as appropriate. Please get the sync done ASAP, and before Thursday 19th in any case.

Changed in opennebula (Ubuntu):
status: New → Triaged
Fabrice Coutadeur (fabricesp) wrote :

This bug was fixed in the package opennebula - 3.2.1-2
Sponsored for Jaime Melis (j-melis)

---------------
opennebula (3.2.1-2) unstable; urgency=low

  * Fix "Overwrites the admin password on upgrades": Merge proposed patch
    from Guido Günther. (Closes: #666050).
  * Fix "File conflict with opennebula 2.2.1-1": Add Breaks/Replaces on
    opennebula (<< 3.2.1-1~) (Closes: #665952).
  * Fix "oneacct does not look in system wide locations for require's":
    Backport upstream fix from bugID:1063 (Closes: #663075).
  * opennebula-node Recommends: openssh-server | ssh-server (Closes: #665948).
  * d/README.Debian: Update for new onehost syntax (Closes: #665975).
  * d/rules: Enable security hardening options and -Wl,--as-needed.

 -- Damien Raude-Morvan <email address hidden> Sun, 01 Apr 2012 13:20:07 +0200

opennebula (3.2.1-1) unstable; urgency=low

  [ Jaime Melis ]
  * New upstream release (3.2.1)
    - New package structure (Closes: #611282)
    - Network drivers (Closes: #657323)
  * Create password after installation
  * Sunstone init script (Closes: #657032 and Closes: #657030)
  * Enable sunstone_system_jquery.diff
  * Explain usage of controller as node (Closes: #657981)

  [ Damien Raude-Morvan ]
  * d/control: Wrap-and-sort.
  * Add lintian-overrides for ruby-script-but-no-ruby-dep
    because ruby-opennebula already depends on ruby | ruby-interpreter.
  * d/copyright: Update to DEP-5 latest release and cleanup.
  * d/opennebula.install: Don't install OCCI UI yet (need more work for
    FHS compliance).
  * d/rules: Add override to cleanup some extra-license-file.

 -- Damien Raude-Morvan <email address hidden> Wed, 22 Feb 2012 20:29:46 +0100

opennebula (3.2.0-1) UNRELEASED; urgency=low

  * New upstream release (3.2.0)
    - Refresh all other patches for changes made upstream.
    - Disable node_creation_help.diff for now.
    - Disable sunstone_system_jquery.diff for now.
  * d/opennebula.manpages: Use upstream manpages when available.

 -- Jaime Melis <email address hidden> Thu, 19 Jan 2012 18:01:12 +0100

opennebula (3.0.0-1) UNRELEASED; urgency=low

  * New upstream release (3.0.0):
    - d/patches/0015-Fix-scons-tests-for-xml-rpc-c-with-gcc-4.6.patch,
    d/patches/0017-Fix-compilation-warnings-with-gcc4.6.patch: Drop, merged
    upstream.
    - Refresh all other patches for changes made upstream.
    - Disable node_creation_help.diff for now.
  * d/opennebula.manpages: Use upstream manpages when available.
  * d/opennebula{,-doc}.install: Old script from /usr/lib/one/remotes/
    and samples hooks, dropped.

 -- Damien Raude-Morvan <email address hidden> Fri, 07 Oct 2011 19:58:12 +0200

Changed in opennebula (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers